org.apache.jmeter.assertions

## Class SMIMEAssertionTestElement

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.assertions.SMIMEAssertionTestElement

All Implemented Interfaces:
  Serializable, Cloneable, Assertion, Searchable, TestElement

    public class SMIMEAssertionTestElement
    extends AbstractTestElement
    implements Serializable, Assertion

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`SMIMEAssertionTestElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getIssuerDn()`
`AssertionResult` `getResult(SampleResult response)` Returns the AssertionResult object encapsulating information about the success or failure of the assertion.
`String` `getSignerCertFile()`
`String` `getSignerDn()`
`String` `getSignerEmail()`
`String` `getSignerSerial()`
`String` `getSpecificMessagePosition()`
`int` `getSpecificMessagePositionAsInt()`
`boolean` `isNotSigned()`
`boolean` `isSignerCheckByFile()`
`boolean` `isSignerCheckConstraints()`
`boolean` `isSignerNoCheck()`
`boolean` `isVerifySignature()`
`void` `setIssuerDn(String issuerDn)`
`void` `setNotSigned(boolean notSigned)`
`void` `setSignerCertFile(String signerCertFile)`
`void` `setSignerCheckByFile(boolean signerCheckByFile)`
`void` `setSignerCheckConstraints(boolean signerCheckConstraints)`
`void` `setSignerDn(String signerDn)`
`void` `setSignerEmail(String signerEmail)`
`void` `setSignerNoCheck(boolean signerNoCheck)`
`void` `setSignerSerial(String signerSerial)`
`void` `setSpecificMessagePosition(String position)`
`void` `setVerifySignature(boolean verifySignature)`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Constructor Detail

#### SMIMEAssertionTestElement

    public SMIMEAssertionTestElement()

### Method Detail

#### getResult

    public AssertionResult getResult(SampleResult response)

Description copied from interface: `Assertion`
Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

Specified by:
  `getResult` in interface `Assertion`
Parameters:
  `response` - the SampleResult containing information about the Sample (duration, success, etc)
Returns:
  the AssertionResult containing the information about whether the assertion passed or failed.

#### isVerifySignature

    public boolean isVerifySignature()

#### setVerifySignature

    public void setVerifySignature(boolean verifySignature)

#### getIssuerDn

    public String getIssuerDn()

#### setIssuerDn

    public void setIssuerDn(String issuerDn)

#### isSignerCheckByFile

    public boolean isSignerCheckByFile()

#### setSignerCheckByFile

    public void setSignerCheckByFile(boolean signerCheckByFile)

#### isSignerCheckConstraints

    public boolean isSignerCheckConstraints()

#### setSignerCheckConstraints

    public void setSignerCheckConstraints(boolean signerCheckConstraints)

#### isSignerNoCheck

    public boolean isSignerNoCheck()

#### setSignerNoCheck

    public void setSignerNoCheck(boolean signerNoCheck)

#### getSignerCertFile

    public String getSignerCertFile()

#### setSignerCertFile

    public void setSignerCertFile(String signerCertFile)

#### getSignerDn

    public String getSignerDn()

#### setSignerDn

    public void setSignerDn(String signerDn)

#### getSignerSerial

    public String getSignerSerial()

#### setSignerSerial

    public void setSignerSerial(String signerSerial)

#### getSignerEmail

    public String getSignerEmail()

#### setSignerEmail

    public void setSignerEmail(String signerEmail)

#### isNotSigned

    public boolean isNotSigned()

#### setNotSigned

    public void setNotSigned(boolean notSigned)

#### getSpecificMessagePosition

    public String getSpecificMessagePosition()

#### getSpecificMessagePositionAsInt

    public int getSpecificMessagePositionAsInt()

#### setSpecificMessagePosition

    public void setSpecificMessagePosition(String position)